Static and instance properties

When a property declaration includes a static modifier, the property is said to be a static property. When no static modifier is present, the property is said to be an instance property.
A static property is not associated with a specific instance, and it is a compile-time error to refer to this in the accessors of a static property.
An instance property is associated with a given instance of a class, and that instance can be accessed as this (14.5.7) in the accessors of that property.
When a property is referenced in a member-access (14.5.4) of the form E.M, if M is a static property, E must denote a type that has a property M, and if M is an instance property, E must denote an instance having a property M.
The differences between static and instance members are discussed further in 17.2.5.